
car
	var
		soundFile = 'petrol.wav'
		sound/sound
		soundFreq = 0.4

	Login()
		..()
		src.sound = sound(src.soundFile, repeat=1, channel=1, volume=50)
		sound.frequency = src.soundFreq
		src << src.sound

	proc/UpdateMotoSound()

		var/frequency = ModifyConstraints(abs(src.velocity), 0, src.max_velocity, 0.4, 1.5)
		var/modifier = frequency / soundFreq

		src.sound.frequency = modifier
		src.soundFreq *= modifier

		src.sound.status |= SOUND_UPDATE
		src << src.sound








// Display the percentage value between min and max.
proc/percent(value, min, max)
    if(min == max)
        return 100
    return 100 / (max-min) * (value-min)


// Returns the value between two points (min, max) based on the
// percentage of progress made from min to max.
proc/PercentConstrain(percent=50, min_val=1, max_val=10)
	if(min_val == max_val)
		return max_val
	return ((max_val - min_val) / 100 * percent) + min_val


// Changes the value from its position in one set of constraints to
// another set of constraints. For example, if the original constraints
// are "between 200 and 1000", and the value is 500, while the new
// constraints are "between 5 and 10", the result will be:
proc/ModifyConstraints(value, org_min, org_max, new_min, new_max)
	var/percent = percent(value, org_min, org_max)
	return PercentConstrain(percent, new_min, new_max)